CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

Alerts

The Alerts endpoints control who receives certificate alerts, resend certificate emails, and manage the Microsoft Teams notification configuration.

For the corresponding user interface, refer to the Miscellaneous > Service Setup section.

Endpoints

Method Endpoint Description
GET /alerts/resend_certificate_email Resend certificate email.
GET /alerts/toggle_alerts Get alert settings.
POST /alerts/toggle_alerts Update alert audience.
GET /msteams Get MS Teams config.
POST /msteams Update MS Teams config.
GET /alerts/resend_certificate_email

Sends the certificate email of a certificate again.

Request Parameters

Name Located In Type Required Description
eid Query integer No Enrollment ID (EID) of the certificate in CertSecure Manager.
SerialNumber Query string No Serial number of the certificate.

Example Request

curl -X GET "https://<certsecure-backend-url>/alerts/resend_certificate_email" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Queued.
GET /alerts/toggle_alerts

Returns who receives certificate alerts: all users, the owner, or the watchers.

Example Request

curl -X GET "https://<certsecure-backend-url>/alerts/toggle_alerts" \
  -H "Authorization: Bearer <token>"

Example Response

{
    "alerts_enabled": "all"
}

Responses

Status Code Description
200 Settings.
POST /alerts/toggle_alerts

Sets who receives certificate alerts: all, owner, or watcher.

Request Body (application/json)

Field Type Required Description
Alerts string Yes Allowed values: all, owner, watcher.

Example Request

curl -X POST "https://<certsecure-backend-url>/alerts/toggle_alerts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"Alerts": "string"}'

Responses

Status Code Description
200 The settings were saved.
GET /msteams

Returns the Microsoft Teams webhook configuration and the events that are posted to Teams.

Example Request

curl -X GET "https://<certsecure-backend-url>/msteams" \
  -H "Authorization: Bearer <token>"

Example Response

{
    "Name": "MSTeams",
    "url": "https://<teams-webhook-url>",
    "config": {
        "Creation": true,
        "Expiration": true,
        "ExpirationAlerts": true,
        "Renewal": true,
        "Revocation": true
    }
}

Responses

Status Code Description
200 The configuration is returned.
POST /msteams

Updates the Microsoft Teams webhook configuration.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/msteams" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 The settings were saved.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.